get
https://api.accelevents.com/rest/events//staff/module//prices/item/
This API is used to check items as per the given item code and gets records. To get this API we need to pass the authentication key,eventurl, module, itemCode . This API can be accessed by event admin and super admin. it will return data like itemName,currentBid,startingBid,buyItNow and many more.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
if API gets executed successfully Here is the description of response attributes, which returns in the form of JSON.
| Attribute | Description |
|---|---|
| itemName | Contains the item name |
| currentBid | Contains the current bid which shows up to 2 decimal places. |
| startingBid | Contains the starting bid which shows up to 2 decimal places. |
| buyItNow | Contains the Buy It Now price |
| bidIncrement | Contains bid increment amount. |
| message | Contains a message to display |
| totalTicketsSubmitted | Contains the total number of tickets which is submitted |
| minPrice | Contains the minimum pledge price for an auction item or fund a need cause. |
| boolCurrentBid | Contains a value in boolean form if the current item bid is greater than 0. |
| isAuctionEnded | Contains a value in boolean form if the auction module is enabled or not. If enabled then it will return "true", otherwise "false." |
| winnerName | Contains the name of the raffle or auction item winner. |
| totalPledgeAmount | Contains the total pledge amount for a specific item. |
| moduleType | Contains the name of module like Auction, Raffle, Fund A Need. |
| auctionFundAndNeedItemDetail | bidderName: Contains user's full name bidAmount: Contains the bid amount status : Contains a status like Purchase, Winner, Potential_Winner, Outbid, Paid, Unpaid |
| raffleItemDetail | ticketSubmitterName: Contains the user's full name for raffle item tickets totalSubmittedTickets: Contains the total number of tickets submitted by the raffle item user |
| numberOfWinners | Contains the number of winners within the module. |
| itemCode | Contains the item's unique 3 letter code. |
| isLiveAuctionItem | Contains a boolean value. If the auction item is being saved for live bidding then it returns true, otherwise false. The default value is false. |
Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.
| Error code | Error Description |
|---|---|
| 4040300 | Item Not Found |